ASSERT(3)

NAME
ASSERT

SYNOPSIS
#include <allegro.h>

void ASSERT(condition);

DESCRIPTION
Debugging helper macro. Normally compiles away to nothing, but if you defined the preprocessor symbol DEBUGMODE before including Allegro headers, it will check the supplied condition and call al_assert() if it fails.

SEE ALSO
al_assert(3), TRACE(3), register_assert_handler(3)